## kdeplasma-addons 6.4.5+p24.04+vunstable+git20251020.0345

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.5.80")
project(kdeplasma-addons VERSION ${PROJECT_VERSION})

################# Disallow in-source build #################
if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
    message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
endif()

set(PROJECT_DEP_VERSION "6.4.90")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "6.14")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateExportHeader)
include(ECMInstallIcons)
include(KDEPackageAppTemplates)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMQmlModule)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Gui
    DBus
    Network
    Quick
    Qml
    Widgets
    Test
    Core5Compat
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    DBusAddons
    Declarative
    GlobalAccel
    Holidays
    I18n
    Auth
    KIO
    KCMUtils
    Notifications
    Runner
    Service
    Sonnet
    UnitConversion
    XmlGui
    NewStuff
    JobWidgets
    Svg
)

find_package(Plasma5Support ${PROJECT_DEP_VERSION})
set_package_properties(Plasma5Support PROPERTIES
    PURPOSE "Required at runtime for a few applets"
    TYPE RUNTIME
)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)

find_package(KF6Purpose CONFIG QUIET)
set_package_properties(KF6Purpose PROPERTIES
    DESCRIPTION "Framework for cross-application services and actions"
    PURPOSE "Needed for QuickShare applet"
    URL "https://commits.kde.org/purpose"
    TYPE RUNTIME
)

find_package(KF6KirigamiAddons CONFIG)
set_package_properties(KF6KirigamiAddons PROPERTIES
    DESCRIPTION "Extra controls for Kirigami applications"
    PURPOSE "Required at runtime for the User List widget"
    TYPE RUNTIME
)

find_package(KF6ItemModels CONFIG)
set_package_properties(KF6ItemModels PROPERTIES
    DESCRIPTION "Set of item models extending the Qt model-view framework"
    PURPOSE "Required at runtime for the Dictionary, Kate Profiles, and Konsole Profiles applets"
    TYPE RUNTIME
)

find_package(ICU 66.1 COMPONENTS uc i18n)
set_package_properties(ICU
        PROPERTIES DESCRIPTION "Unicode and Globalization support for software applications"
        TYPE OPTIONAL
        PURPOSE "Provides alternate calendar systems that are not available in QCalendar"
        )
if(ICU_FOUND)
    set(HAVE_ICU TRUE)
endif()

find_package(Qt6Quick3D CONFIG)
set_package_properties(Qt6Quick3D PROPERTIES
    DESCRIPTION "A high-level API for creating 3D content and 3D user interfaces based on Qt Quick"
    PURPOSE "Required for desktop cube"
    TYPE RUNTIME
)

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_NO_URL_CAST_FROM_STRING
)

ecm_set_disabled_deprecation_versions(
    QT 6.8.1
    KF 6.9.0
)

add_subdirectory(dict)
add_subdirectory(kdeds)
add_subdirectory(profiles)
add_subdirectory(applets)
add_subdirectory(runners)

add_subdirectory(wallpapers)

add_subdirectory(kwin)

add_subdirectory(plasmacalendarplugins)

add_subdirectory(templates)
add_subdirectory(appiumtests)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)
ecm_qt_install_logging_categories(EXPORT KDEPLASMAADDONS
    FILE kdeplasma-addons.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== applets/fifteenPuzzle/CMakeLists.txt ===
ecm_install_icons(
    ICONS sc-apps-fifteenpuzzle.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
)

ecm_add_qml_module(fifteenpuzzleplugin URI org.kde.plasma.private.fifteenpuzzle)
target_sources(fifteenpuzzleplugin PRIVATE
    plugin/fifteenimageprovider.cpp
    plugin/fifteenpuzzleplugin.cpp
)
target_link_libraries(fifteenpuzzleplugin PRIVATE Qt::Quick Qt::Qml)
ecm_finalize_qml_module(fifteenpuzzleplugin)

plasma_add_applet(org.kde.plasma.fifteenpuzzle
    QML_SOURCES
        qml/main.qml
        qml/configAppearance.qml
        qml/FifteenPuzzle.qml
        qml/Piece.qml
        qml/config.qml
    RESOURCES
        qml/blanksquare.svg
        main.xml
    GENERATE_APPLET_CLASS
)

ecm_qt_declare_logging_category(fifteenpuzzleplugin
    HEADER debug_p.h
    IDENTIFIER "PLASMA_FIFTEENPUZZLE"
    CATEGORY_NAME org.kde.plasma.fifteenpuzzle
    DESCRIPTION "Plasma Fifteen Puzzle"
    DEFAULT_SEVERITY Warning
    EXPORT "PLASMA_FIFTEENPUZZLE"
)

=== runners/datetime/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: LGPL-2.1-only OR LGPL-3.0-only OR LicenseRef-KDE-Accepted-LGPL
# SPDX-FileCopyrightText: 2023 Natalie Clarius <natalie_clarius@yahoo.de>
include(ECMAddTests)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

ecm_add_test(datetimerunnertest.cpp TEST_NAME datetimerunnertest LINK_LIBRARIES Qt::Test KF6::Runner)
krunner_configure_test(datetimerunnertest org.kde.datetime)

=== debian/changelog ===
kdeplasma-addons (4:6.4.5+p24.04+vunstable+git20251020.0345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:45:47 +0000

=== debian/control ===
Source: kdeplasma-addons
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kitemmodels-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-krunner-dev,
               kf6-kservice-dev,
               kf6-ksvg-dev,
               kf6-kunitconversion-dev,
               kf6-networkmanager-qt-dev,
               kf6-purpose-dev,
               libboost-dev,
               libgee-dev | libgee-0.8-dev,
               libglib2.0-dev,
               libicu-dev,
               libkf5sysguard-dev,
               libplasma-dev,
               libx11-dev,
               libxcb-keysyms1-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-workspace-dev,
               plasma5support-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-quick3d-dev,
               qt6-webengine-dev,
               shared-mime-info
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/kdeplasma-addons
Vcs-Git: https://invent.kde.org/neon/kde/kdeplasma-addons.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdeplasma-addons
Maintainer: Neon CI <neon@kde.org>

Package: kdeplasma-addons
Architecture: any
Depends: kwin-addons,
         plasma-calendar-addons,
         plasma-dataengines-addons,
         plasma-runners-addons,
         plasma-wallpapers-addons,
         plasma-widgets-addons,
         ${misc:Depends},
         ${shlibs:Depends}
Description: metapackage for all plasma and kwin addon packages
 This package contains additional the plasma-calender-addons, 
 plasma-dataengine-addons, plasma-runners-addons, plasma-wallpapers-addons, 
 plasma-widgets-addons extras/addons shipped in the Plasma 5 addons module.
 .
 They can be installed individually if you do not want to install them all.

Package: kdeplasma-addons-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 6
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.
Multi-Arch: foreign

Package: kwin-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin-common,
         libplasma6,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 6 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widgets-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kf6-kcoreaddons,
         kf6-kdeclarative,
         kf6-kio,
         kf6-kpackage,
         kf6-purpose,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-workspace,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtwebengine,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional widgets for Plasma 6
 This package contains additional Plasma 6 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Calculator
  * Dictionary
  * Fuzzy Clock
  * Konsole Profiles
  * Notes
  * System Load Viewer
  * Timer
  * Unit Converter
  * Userswitcher
  * Diskquota
  * Activity pager
  * More coming soon..
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-dataengines-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         libplasma6,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 6
 addons module. These engines are needed by some Plasma  5 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         libplasma6,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional runners for Plasma 6 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Dictionary
  * More coming soon..
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kf6-kirigami2,
         libplasma6,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional wallpaper plugins for Plasma 6
 This package contains additional Plasma 6 wallpaper plugins that are used in
 the Plasma desktop to give marble, mandelbrot and other such wallpapers.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * More coming soon..
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-calendar-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kf6-kcmutils,
         kf6-kirigami2,
         libplasma6,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional calendar plugins for Plasma 6
 Astronomical plugin for Plasma's calendar.
 .
 This package is part of the KDE Plasma 6 addons module.

Package: libplasmapotdprovidercore-dev
Section: libdevel
Architecture: any
Depends: kf6-kcoreaddons-dev,
         plasma-dataengines-addons (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Development files for libplasmapotdprovidercore
 For development with libplasmapotdprovidercore

## kdeplasma-addons 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.80")
-project(kdeplasma-addons VERSION ${PROJECT_VERSION})
+project(kdeplasma-addons)
+set(PROJECT_VERSION "6.4.91")
 
 ################# Disallow in-source build #################
 if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
     message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
 endif()
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.4.91")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
-set(KDE_COMPILERSETTINGS_LEVEL "6.14")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== kdeds/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Natalie Clarius <natalie.clarius@kde.org>
# SPDX-License-Identifier: LGPL-2.1-only OR LGPL-3.0-only OR LicenseRef-KDE-Accepted-LGPL

add_subdirectory(kameleon)

=== applets/weather/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Bohdan Onofriichuk <bogdan.onofriuchuk@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.weather\")

install(FILES wind-arrows.svgz DESTINATION ${PLASMA_DATA_INSTALL_DIR}/desktoptheme/default/weather/)

add_subdirectory(weatherdata)
add_subdirectory(ions)

plasma_add_applet(org.kde.plasma.weather
    QML_SOURCES
        qml/CompactRepresentation.qml
        qml/DetailsView.qml
        qml/ForecastView.qml
        qml/FullRepresentation.qml
        qml/IconAndTextItem.qml
        qml/main.qml
        qml/NoticesView.qml
        qml/SwitchPanel.qml
        qml/TopPanel.qml
        qml/config/ConfigAppearance.qml
        qml/config/ConfigUnits.qml
        qml/config/ConfigWeatherStation.qml
        qml/config/config.qml
    CPP_SOURCES
        util.cpp
        abstractunitlistmodel.cpp
        locationscontrol.cpp
        forecastcontrol.cpp
        weatherdatamonitor_p.cpp
        abstractunitlistmodel.cpp
        ioncontrol_p.cpp
        forecastdata.cpp
        locationsdata.cpp
        types.h
    RESOURCES
        main.xml
    GENERATE_APPLET_CLASS
)

ecm_qt_declare_logging_category(org.kde.plasma.weather
    HEADER weathercontroller_debug.h
    IDENTIFIER WEATHER::CONTROLLER
    CATEGORY_NAME org.kde.applets.weather.controller
    DEFAULT_SEVERITY Info
    DESCRIPTION "Weather controller"
    EXPORT PLASMAWORKSPACE
)

target_link_libraries(org.kde.plasma.weather PRIVATE
    KF6::UnitConversion
    KF6::I18n
    Qt::Core
    Qt::DBus
    Qt::Qml
    Qt::Network
    Qt::Gui
    KF6::KIOCore
    weatherion
    weatherdata
)

=== applets/weather/weatherdata/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Bohdan Onofriichuk <bogdan.onofriuchuk@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

set(weatherdata_SRCS
    currentday.h
    currentday.cpp
    lastday.h
    lastday.cpp
    lastobservation.h
    lastobservation.cpp
    metadata.h
    metadata.cpp
    futuredays.h
    futuredays.cpp
    station.h
    station.cpp
    warnings.h
    warnings.cpp
    forecast.h
    forecast.cpp
    locations.h
    locations.cpp
)

qt_add_library(weatherdata SHARED ${weatherdata_SRCS})

generate_export_header(weatherdata)

target_link_libraries(weatherdata PRIVATE
    Qt::Core
    KF6::I18n
    KF6::UnitConversion
    Qt::Qml
)

install(TARGETS weatherdata DESTINATION ${KDE_INSTALL_LIBDIR})

=== applets/weather/ions/dwd/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Bohdan Onofriichuk <bogdan.onofriuchuk@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(dwd INSTALL_NAMESPACE "plasma/weather_ions")

target_sources(dwd PRIVATE
    ion_dwd.cpp
    ion_dwd.h
)

ecm_qt_declare_logging_category(dwd
    HEADER dwd_debug.h
    IDENTIFIER WEATHER::ION::DWD
    CATEGORY_NAME org.kde.weather.ion.dwd
    DEFAULT_SEVERITY Info
    DESCRIPTION "German Meteorological Service ion plugin"
    EXPORT PLASMAWORKSPACE
)

target_link_libraries(dwd PRIVATE
    weatherion
    KF6::KIOCore
)

=== applets/weather/ions/envcan/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Bohdan Onofriichuk <bogdan.onofriuchuk@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(envcan INSTALL_NAMESPACE "plasma/weather_ions")

target_sources(envcan PRIVATE
    ion_envcan.cpp
    ion_envcan.h
)

ecm_qt_declare_logging_category(envcan
    HEADER envcan_debug.h
    IDENTIFIER WEATHER::ION::ENVCAN
    CATEGORY_NAME org.kde.weather.ion.envcan
    DEFAULT_SEVERITY Info
    DESCRIPTION "Canadian Weather ion plugin"
    EXPORT PLASMAWORKSPACE
)

target_link_libraries(envcan PRIVATE
    weatherion
    KF6::KIOCore
)

=== applets/weather/ions/noaa/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Bohdan Onofriichuk <bogdan.onofriuchuk@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(noaa INSTALL_NAMESPACE "plasma/weather_ions")

target_sources(noaa PRIVATE
    ion_noaa.cpp
    ion_noaa.h
)

ecm_qt_declare_logging_category(noaa
    HEADER noaa_debug.h
    IDENTIFIER WEATHER::ION::NOAA
    CATEGORY_NAME org.kde.weather.ion.noaa
    DEFAULT_SEVERITY Info
    DESCRIPTION "NOAA National Weather Service ion plugin"
    EXPORT PLASMAWORKSPACE
)

target_link_libraries(noaa PRIVATE
    weatherion
    KF6::KIOCore
)

install (FILES noaa_station_list.xml DESTINATION ${KDE_INSTALL_DATADIR}/plasma/weather)

=== debian/changelog ===
kdeplasma-addons (4:6.4.91-3) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing Breaks/Replaces against plasma-workspace-data (<<
    4:6.4.90~). (Closes: #1118033)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Oct 2025 18:17:15 +0200

kdeplasma-addons (4:6.4.91-2) experimental; urgency=medium

  * Team upload.
  * Update lintian override to apply on any architecture.
  * Ship /usr/share/icons/hicolor/scalable/apps/accessories-dictionary.svgz
    on any architecture, and not only when QtWebEngine is available; it looks
    like it is always installed now.

 -- Pino Toscano <pino@debian.org>  Tue, 14 Oct 2025 17:51:01 +0200

kdeplasma-addons (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Reenable and fix build-time tests.
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.
  * Add patch to fix test failing on number representation.
  * Update the list of installed files.
  * Add lintian overrides for the new libweatherdata.so and
    libweatherion.so private libraries.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:28:06 +0200

=== debian/control ===
Source: kdeplasma-addons
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               hunspell-en-us <!nocheck>,
               libicu-dev (>= 66.1~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6holidays-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6sonnet-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6unitconversion-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libplasma-dev (>= 6.4.91~),
               libplasma5support-dev (>= 4:6.4.91~),
               pkgconf,
               qt6-5compat-dev (>= 6.9.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-webengine-dev (>= 6.9.0~) [amd64 arm64 armhf i386],
               sonnet6-plugins <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/kdeplasma-addons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons.git

Package: kdeplasma-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 6
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.

Package: kwin-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin-wayland (>= 4:6.2.90~) | kwin-x11 (>= 4:6.2.90~),
         plasma-desktoptheme (>= 6.2.90~),
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtquick3d,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 6 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-calendar-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional calendar plugins for Plasma 6
 This package contains additional Plasma 6 calendar plugins that are used in
 the Plasma desktop.
 .
 This package contains the following calendars:
  * Alternate Calendar
  * Astonomical Calendar
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-dataengines-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 6
 addons module. These engines are needed by some Plasma 6 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional runners for Plasma 6 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Special Characters
  * Unit Converter
  * Date and Time
  * Dictionary
  * Kate Sessions
  * Konsole Profiles
  * Spell Checker
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional wallpaper plugins for Plasma 6
 This package contains additional Plasma 6 wallpaper plugins that are used in
 the Plasma desktop.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * Picture of the Day
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-widgets-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kpackagetool6,
         libkf6purpose-bin,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         plasma-workspace (>= 4:6.2.90~),
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-iconthemes,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-kwindowsystem,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-notifications,
         qml6-module-org-kde-plasma-plasma5support,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtwebengine [amd64 arm64 armhf i386],
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: plasma-systemmonitor (>= 6.2.90~),
Suggests: quota,
Breaks: plasma-workspace-data (<< 4:6.4.90~),
Replaces: plasma-workspace-data (<< 4:6.4.90~),
Description: additional widgets for Plasma 6
 This package contains additional Plasma 6 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Application Dashboard
  * Binary Clock
  * Calculator
  * Color Picker
  * Comic Strip
  * Dictionary
  * Disk Quota
  * Fifteen Puzzle
  * Fuzzy Clock
  * Grouping Plasmoid
  * Kate Sessions
  * Keyboard Indicator
  * Konsole Profiles
  * Lock Keys Status
  * Media Frame
  * Quicklaunch
  * Sticky Note
  * Timer
  * User Switcher
  * Weather Report
  * Web Browser
 .
 This package is part of the KDE Plasma 6 addons module.

## kdeplasma-addons 6.5.0

=== wallpapers/CMakeLists.txt ===
plasma_install_package(haenau org.kde.haenau wallpapers wallpaper)
plasma_install_package(hunyango org.kde.hunyango wallpapers wallpaper)
add_subdirectory(potd)

=== applets/dict/CMakeLists.txt ===
find_package(Qt6WebEngineQuick ${QT_MIN_VERSION} CONFIG)

set_package_properties(Qt6WebEngineQuick PROPERTIES
    PURPOSE "Needed by the dict applet"
    URL "https://doc.qt.io/qt-6/qtwebengine-index.html"
    TYPE OPTIONAL
)

if (NOT Qt6WebEngineQuick_FOUND)
    return()
endif()

plasma_install_package(package org.kde.plasma_applet_dict)
# TODO: fix pluginid "org.kde.plasma_applet_dict" into properly namespaced id "org.kde.plasma.dict"

#######################################################################################
add_definitions(-DTRANSLATION_DOMAIN="plasma_applet_org.kde.plasma_applet_dict")

ecm_add_qml_module(dictplugin URI org.kde.plasma.private.dict)
target_sources(dictplugin PRIVATE
  plugin/dict_plugin.cpp
  plugin/dict_object.cpp
  plugin/dictionariesmodel.cpp
)
target_link_libraries(dictplugin PRIVATE
    KF6::I18n
    Qt::Quick
    Qt::WebEngineQuick
    engine_dict_static
)
ecm_finalize_qml_module(dictplugin)

=== applets/grouping/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.grouping\")

plasma_install_package(package org.kde.plasma.grouping)
kcoreaddons_add_plugin(org.kde.plasma.grouping SOURCES groupingcontainment.cpp INSTALL_NAMESPACE "plasma/applets")
target_link_libraries(org.kde.plasma.grouping
    Qt::Gui
    Qt::Quick
    Qt::DBus
    Qt::Widgets
    Plasma::Plasma
    KF6::XmlGui
    KF6::I18n
)

=== applets/notes/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_applet_org.kde.plasma.notes")

plasma_install_package(package org.kde.plasma.notes)

ecm_add_qml_module(notesplugin
    URI org.kde.plasma.private.notes
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES QtQuick
)

target_sources(notesplugin PRIVATE
    abstractnoteloader.cpp
    documenthandler.cpp
    filesystemnoteloader.cpp
    note.cpp
    noteiconengine.cpp
    notemanager.cpp
    noteshelper.cpp
)
target_link_libraries(notesplugin PRIVATE
    Qt::Quick
    KF6::CoreAddons
    KF6::Svg
    KF6::KIOCore
)
ecm_finalize_qml_module(notesplugin)

=== kwin/effects/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(cube)

=== runners/dictionary/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_runner_krunner_dictionary")

kcoreaddons_add_plugin(krunner_dictionary SOURCES ${dictionaryrunner_SRCS} INSTALL_NAMESPACE "kf6/krunner")
target_sources(krunner_dictionary PRIVATE dictionaryrunner.cpp)
target_link_libraries(krunner_dictionary Qt::Gui KF6::Runner KF6::I18n KF6::ConfigCore KF6::Notifications engine_dict_static)

kcoreaddons_add_plugin(kcm_krunner_dictionary INSTALL_NAMESPACE "kf6/krunner/kcms")
target_compile_definitions(kcm_krunner_dictionary PRIVATE -DKRUNNER_PLUGIN_NAME="krunner_dictionary")
target_sources(kcm_krunner_dictionary PRIVATE dictionaryrunner_config.cpp)
target_link_libraries(kcm_krunner_dictionary KF6::Runner KF6::I18n KF6::KCMUtils)

=== applets/weather/ions/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Bohdan Onofriichuk <bogdan.onofriuchuk@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

# the Ion library

add_library(plasmaweatherion SHARED)

target_sources(plasmaweatherion PRIVATE
    ion.cpp
    ion.h
)

target_link_libraries(plasmaweatherion PUBLIC
    plasmaweatherdata
    KF6::UnitConversion
    KF6::Holidays
    KF6::I18n
    Qt::Qml
)

set_target_properties(plasmaweatherion PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   ${PROJECT_VERSION_MAJOR}
)

generate_export_header(plasmaweatherion)

install(TARGETS plasmaweatherion DESTINATION ${KDE_INSTALL_LIBDIR})

#add ions
add_subdirectory(wetter.com)
add_subdirectory(bbcukmet)
add_subdirectory(dwd)
add_subdirectory(envcan)
add_subdirectory(noaa)

=== applets/weather/weatherdata/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Bohdan Onofriichuk <bogdan.onofriuchuk@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

qt_add_library(plasmaweatherdata SHARED ${weatherdata_SRCS})

target_sources(plasmaweatherdata PRIVATE
    currentday.h
    currentday.cpp
    lastday.h
    lastday.cpp
    lastobservation.h
    lastobservation.cpp
    metadata.h
    metadata.cpp
    futuredays.h
    futuredays.cpp
    station.h
    station.cpp
    warnings.h
    warnings.cpp
    forecast.h
    forecast.cpp
    locations.h
    locations.cpp
)

generate_export_header(plasmaweatherdata)

target_link_libraries(plasmaweatherdata PRIVATE
    Qt::Core
    KF6::I18n
    KF6::UnitConversion
    Qt::Qml
)

set_target_properties(plasmaweatherdata PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   ${PROJECT_VERSION_MAJOR}
)

install(TARGETS plasmaweatherdata DESTINATION ${KDE_INSTALL_LIBDIR})

=== plasmacalendarplugins/astronomical/config/CMakeLists.txt ===
add_subdirectory(qml)
add_subdirectory(plugin)

=== applets/weather/ions/envcan/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,6 @@
 )
 
 target_link_libraries(envcan PRIVATE
-    weatherion
+    plasmaweatherion
     KF6::KIOCore
 )

=== plasmacalendarplugins/alternatecalendar/config/qml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Fushan Wen <qydwhotmail@gmail.com>

# SPDX-License-Identifier: GPL-2.0-or-later

install(FILES AlternateCalendarConfig.qml
        DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasmacalendarplugins/alternatecalendar)

=== debian/changelog ===
kdeplasma-addons (4:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Reenable and fix build-time tests.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Add patch to fix test failing on number representation.
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Adapt packaging to libplasmaweatherdata6 and libplasmaweatherion6
    now being public libraries.
  * Refresh copyright information.
  * Release to unstable.

  [ Pino Toscano ]
  * Update install files according to the newer kpackage, which does not
    generate appstream metainfo files for packages anymore. (Closes: #1117351)
  * CI: update/simplify configuration.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:00:01 +0200

=== debian/control ===
--- 
+++ 
@@ -31,8 +31,8 @@
                libkf6svg-dev (>= 6.18.0~),
                libkf6unitconversion-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.4.91~),
-               libplasma5support-dev (>= 4:6.4.91~),
+               libplasma-dev (>= 6.5.0~),
+               libplasma5support-dev (>= 4:6.5.0~),
                pkgconf,
                qt6-5compat-dev (>= 6.9.0~),
                qt6-base-dev (>= 6.9.0~),
@@ -79,6 +79,29 @@
  .
  This package is part of the KDE Plasma addons module.
 
+Package: libplasmaweatherdata6
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: weather data manipulation library for Plasma widgets
+ This library provide various classes to manipulate weather forecast data.
+ .
+ This package is part of the KDE Plasma 6 addons module.
+
+Package: libplasmaweatherion6
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: weather location and forcast library for Plasma widgets
+ This library provides weather "ions" that can be used to request locations
+ and weather forecast on the locations.
+ .
+ This package is part of the KDE Plasma 6 addons module.
+
 Package: plasma-calendar-addons
 Architecture: any
 Multi-Arch: same
@@ -161,6 +184,19 @@
   * Haenau
   * Hunyango
   * Picture of the Day
+ .
+ This package is part of the KDE Plasma 6 addons module.
+
+Package: plasma-widgets-addons-dev
+Section: libdevel
+Architecture: any
+Depends: libplasmaweatherdata6 (= ${binary:Version}),
+         libplasmaweatherion6 (= ${binary:Version}),
+         qt6-base-dev (>= 6.9.0~),
+         ${misc:Depends},
+Description: additional widgets for Plasma 6 - development files
+ This package contains the development headers for the shared libraries
+ shipped with the additional Plasma 6 widgets from the Plasma addons module.
  .
  This package is part of the KDE Plasma 6 addons module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a -- dh_auto_test -Skf6

## kdeplasma-addons 6.5.0+p24.04+vstable+git20251028.1244

=== debian/changelog ===
kdeplasma-addons (4:6.5.0+p24.04+vstable+git20251028.1244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 12:44:42 +0000

kdeplasma-addons (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:19:35 +0000

## kdeplasma-addons 6.5.0+p24.04+vunstable+git20251021.1104

=== debian/changelog ===
kdeplasma-addons (4:6.5.0+p24.04+vunstable+git20251021.1104-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 11:04:19 +0000

## kdeplasma-addons 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(kdeplasma-addons)
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.1")
+project(kdeplasma-addons VERSION ${PROJECT_VERSION})
 
 ################# Disallow in-source build #################
 if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
     message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
 endif()
 
-set(PROJECT_DEP_VERSION "6.4.91")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== plasmacalendarplugins/CMakeLists.txt ===
add_subdirectory(astronomical)
add_subdirectory(alternatecalendar)

=== appiumtests/calendarplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

add_test(
    NAME alternatecalendartest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/alternatecalendartest.py --failfast
)

=== applets/colorpicker/CMakeLists.txt ===
plasma_install_package(package org.kde.plasma.colorpicker)

ecm_add_qml_module(colorpickerplugin URI org.kde.plasma.private.colorpicker)

target_sources(colorpickerplugin PRIVATE
    plugin/grabwidget.cpp
    plugin/colorpickerplugin.cpp
)
target_link_libraries(colorpickerplugin PRIVATE Qt::DBus Qt::Gui Qt::Qml Qt::Widgets)
ecm_finalize_qml_module(colorpickerplugin)

=== applets/quicklaunch/CMakeLists.txt ===
plasma_add_applet(org.kde.plasma.quicklaunch
    QML_SOURCES
        ConfigGeneral.qml
        config.qml
        IconItem.qml
        main.qml
        Popup.qml
        UrlModel.qml
        layout.js
    CPP_SOURCES
        quicklaunch_p.cpp
    RESOURCES
        main.xml
    GENERATE_APPLET_CLASS
)

target_link_libraries(org.kde.plasma.quicklaunch PRIVATE KF6::KIOWidgets KF6::JobWidgets)

=== runners/datetime/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_runner_datetime")

kcoreaddons_add_plugin(org.kde.datetime SOURCES datetimerunner.cpp INSTALL_NAMESPACE "kf6/krunner")
target_link_libraries(org.kde.datetime
    KF6::Runner
    KF6::KIOWidgets
    KF6::I18n
)

if(BUILD_TESTING)
add_subdirectory(autotests)
endif()

=== applets/comic/engine/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022 Alexander Lohnau <alexander.lohnau@gmx.de>

add_library(plasma_engine_comic STATIC)

set_property(TARGET plasma_engine_comic PROPERTY POSITION_INDEPENDENT_CODE ON)

ecm_qt_declare_logging_category(plasma_engine_comic
    HEADER comic_debug.h
    IDENTIFIER PLASMA_COMIC
    CATEGORY_NAME org.kde.plasma.comic
    OLD_CATEGORY_NAMES ork.kde.plasma.comic
    DESCRIPTION "Plasma Comic Engine"
    DEFAULT_SEVERITY Warning
    EXPORT KDEPLASMAADDONS
)

target_sources(plasma_engine_comic PRIVATE
    comicprovider.cpp
    cachedprovider.cpp
    comic.cpp
    comicproviderkross.cpp
    comicproviderwrapper.cpp
)
target_link_libraries(plasma_engine_comic
    PUBLIC
    Qt6::Gui
    KF6::CoreAddons
    PRIVATE
    Qt::Qml
    KF6::Package
    KF6::KIOCore
)

kcoreaddons_add_plugin(plasma_comic SOURCES comic_package.cpp INSTALL_NAMESPACE "kf6/packagestructure")
target_link_libraries(plasma_comic KF6::ConfigCore KF6::Package)

=== applets/weather/ions/bbcukmet/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Bohdan Onofriichuk <bogdan.onofriuchuk@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(bbcukmet INSTALL_NAMESPACE "plasma/weather_ions")

target_sources(bbcukmet PRIVATE
    ion_bbcukmet.cpp
    ion_bbcukmet.h
)

ecm_qt_declare_logging_category(bbcukmet
    HEADER bbcukmet_debug.h
    IDENTIFIER WEATHER::ION::BBCUKMET
    CATEGORY_NAME org.kde.weather.ion.bbcukmet
    DEFAULT_SEVERITY Info
    DESCRIPTION "BBC weather ion plugin"
    EXPORT PLASMAWORKSPACE
)

target_link_libraries(bbcukmet PRIVATE
    plasmaweatherion
    KF6::KIOCore
)

=== kwin/effects/cube/kcm/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

set(kwin_cube_config_SOURCES cubeeffectkcm.cpp)
ki18n_wrap_ui(kwin_cube_config_SOURCES cubeeffectkcm.ui)

kcoreaddons_add_plugin(kwin_cube_config INSTALL_NAMESPACE "kwin/effects/configs" SOURCES ${kwin_cube_config_SOURCES})
target_sources(kwin_cube_config PRIVATE
    resources.qrc
)
target_link_libraries(kwin_cube_config
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::ConfigWidgets
    KF6::CoreAddons
    KF6::GlobalAccel
    KF6::I18n
    KF6::KCMUtils
    KF6::XmlGui
)

target_compile_definitions(kwin_cube_config PRIVATE
    -DTRANSLATION_DOMAIN=\"kwin_effect_cube\"
)

=== plasmacalendarplugins/alternatecalendar/config/plugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-FileCopyrightText: 2024 ivan tkachenko <me@ratijas.tk>
#
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(plasmacalendaralternatecalendarconfig
    URI org.kde.plasma.private.alternatecalendarconfig
    GENERATE_PLUGIN_SOURCE
)

target_sources(plasmacalendaralternatecalendarconfig
    PRIVATE
        ../../calendarsystem.h
        configstorage.cpp
        configstorage.h
)

target_link_libraries(plasmacalendaralternatecalendarconfig
    PRIVATE
        Qt::Qml
        Qt::Core
        KF6::ConfigCore
        KF6::I18n
)

ecm_finalize_qml_module(plasmacalendaralternatecalendarconfig)

=== debian/changelog ===
kdeplasma-addons (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 29 Oct 2025 18:25:46 +0100

=== debian/control ===
--- 
+++ 
@@ -31,8 +31,8 @@
                libkf6svg-dev (>= 6.18.0~),
                libkf6unitconversion-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.0~),
-               libplasma5support-dev (>= 4:6.5.0~),
+               libplasma-dev (>= 6.5.1~),
+               libplasma5support-dev (>= 4:6.5.1~),
                pkgconf,
                qt6-5compat-dev (>= 6.9.0~),
                qt6-base-dev (>= 6.9.0~),
